Programming

These demonstrations introduce programming in Origin, including scripting and Origin C programming, creating custom dialog boxes, attaching code to Origin projects, and programming Origin from other applications.

  • Introduction to Programming

  • Creating Custom Dialogs

  • Active Project

  • Automating Your Work

  • Automation Server - Excel

  • Automation Server - LabVIEW


Introduction to Programming

View a demonstration that introduces programming in Origin, the Script Window, the Integrated Development Environment, and Code Builder.

Click here to view demonstration

In order to view this demonstration you need the Macromedia® Flash™ Player. Click the image below to download the latest player.


Creating Custom Dialogs

View a demonstration on how to create a custom dialog using Origin C.

Click here to view demonstration

In order to view this demonstration you need the Macromedia® Flash™ Player. Click the image below to download the latest player.


Active Project

View a demonstration on how to attach code to a project and have the code accessible on opening the project .

Click here to view demonstration

In order to view this demonstration you need the Macromedia® Flash™ Player. Click the image below to download the latest player.


Automating Your Work

View a demonstration on how to program Origin to automate importing, graphing, analysis, and exporting. This demonstration shows how to put these together to create a batch processing routine.

Click here to view demonstration

In order to view this demonstration you need the Macromedia® Flash™ Player. Click the image below to download the latest player.


Automation Server

Automation Server - Excel®

View a demonstration on how to connect to an Origin server from an Excel client, sending data to Origin for analysis, and sending results and graphs from Origin to Excel.

Click here to view demonstration

In order to view this demonstration you need the Macromedia® Flash™ Player. Click the image below to download the latest player.


Automation Server - LabVIEW®

View a demonstration on how to connect to Origin server from a National Instruments LabVIEW client, and how to use Origin’s building-block VIs in creating custom VIs to communicate with Origin.

Click here to view demonstration

In order to view this demonstration you need the Macromedia® Flash™ Player. Click the image below to download the latest player.


Active Project SWF

Play controls are at the bottom of this window.


Automating Your Work SWF

Play controls are at the bottom of this window.


Automation Server Excel SWF

Play controls are at the bottom of this window.


Automation Server LabVIEW SWF

Play controls are at the bottom of this window.


Creating Custom Dialogs SWF

Play controls are at the bottom of this window.


Introduction to Programming SWF

Play controls are at the bottom of this window.